Maps to hl.fl

- « SolrQuery::addGroupSortField

- SolrQuery::addMltField »

- PHP Manual
- SolrQuery
- Maps to hl.fl

# SolrQuery::addHighlightField

(PECL solr >= 0.9.2)

SolrQuery::addHighlightField — Maps to hl.fl

### Description

public SolrQuery::addHighlightField(string `$field`): SolrQuery

Maps to hl.fl. This is used to specify that highlighted snippets should be generated for a particular field

### Parameters

`field`

  Name of the field

### Return Values

Returns the current SolrQuery object, if the return value is used.